@import url("reset.css");

/*-----------FONTS-----------*/
/* playfair-display-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/playfair-display-v40-latin-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/playfair-display-v40-latin-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* playfair-display-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/playfair-display-v40-latin-500.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/playfair-display-v40-latin-500.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* playfair-display-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/playfair-display-v40-latin-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/playfair-display-v40-latin-700.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* playfair-display-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 900;
  src: url('../fonts/playfair-display-v40-latin-900.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/playfair-display-v40-latin-900.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* dancing-script-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Dancing Script';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/dancing-script-v29-latin-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/dancing-script-v29-latin-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* dancing-script-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Dancing Script';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/dancing-script-v29-latin-500.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/dancing-script-v29-latin-500.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* dancing-script-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Dancing Script';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/dancing-script-v29-latin-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/dancing-script-v29-latin-700.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/*-----------FONTGESTALTUNG-----------*/

body {font-family: 'Playfair Display', serif;'}
p {font-size: 18px; font-weight: 300; line-height: 21px; margin-bottom: 15px;}
a {color: #000; text-decoration: none; cursor: pointer;}
h1 {font-size: 90px; line-height: 120px; margin-bottom: 10px;font-family: 'Dancing Script', cursive;color: #fff;}
h1 b {font-size: 30px;}
h2 {font-size: 55px; margin-bottom: 30px;font-family: 'Dancing Script', cursive; text-align: center;}
h3 {font-size: 20px; }
h4 {font-size: 20px; font-weight: 600;}
li {font-size: 14px; list-style: disc;}
strong {font-weight: 500; font-size: 16px; font-weight: 600;}
.line {background-color: #000; width: 50px; height: 3px; margin-bottom: 25px;}


/*-----------NAVI-----------*/
.logo {position: absolute; width: 300px; height: auto; top: 40px; left: 5%; z-index: 9999;}
nav {position: fixed;  width: 100%; z-index: 101; top: 0; text-align: right; padding: 55px 0; z-index: 100; }
nav ul {margin-right: 5%;}
nav ul li {display: inline-block; margin: 0 2%;}
nav ul li a {text-decoration: none; font-size: 30px; color: #fff; font-weight: 400;}
nav ul li strong {color: #0025a6; font-weight: 600;}
nav ul li a:hover {border-bottom: 3px solid #C9714D;}

.navi {display: none;}
.burger-nav {position: fixed; right: 0; top: -6px; color: #fff; z-index: 9999; -webkit-transform: rotate(-90deg); transform: rotate(-90deg); font-size: 40px; cursor: pointer; transition: all .4s ease-in-out; background-color: #C9714D; padding: 16px 21px 21px 19px;}
.burger-nav b {transition: all .4s ease-in-out; float: left; margin-left: 0; font-family: 'Roboto'; font-style: normal;}
.burger-nav-anim {top: -5px; color: #fff;}
.burger-nav-anim b:first-of-type {-webkit-transform: rotate(45deg); transform: rotate(45deg);}
.burger-nav-anim b:nth-of-type(2) {opacity: 0;}
.burger-nav-anim b:last-of-type {-webkit-transform: rotate(-45deg); transform: rotate(-45deg); margin-left: -80%;}

.full-screen-nav {position: fixed; z-index: 9998; width: 100%; height: 100vh; background: #51170E; display: table; visibility: hidden; transition: all .4s ease-in-out; opacity: 0;}
.full-screen-nav ul {text-align: center; display: table-cell; vertical-align: middle; width: 100%;}
.full-screen-nav ul li a {padding: 20px; display: block; font-size: 30px; color: #fff; transition: all .4s ease-in-out; text-decoration: none;}
.fadeIn {opacity: 1 !important; visibility: visible !important;}
.fadeUp {opacity: 1 !important; margin-top: 0 !important;}


/*-----------ASIDE-----------*/

aside img {position: fixed; background-color: #923918; width: 60px; z-index: 999; right: 0; transition: 0.5s;}
aside img:hover {background-color: #C9714D;}
.mail {top: 400px;border-radius: 15px 0 0 15px;padding: 7px;}
.phone {top: 300px;border-radius: 15px 0 0 15px;padding: 7px;}


/*-----------SUBNAV-----------*/

.subnav {position: fixed; bottom: 0; color: #fff; z-index: 999; transition: 0.5s; width: 100%; text-align: right;}
.subnav a {color: #fff; padding: 8px 15px; font-size: 14px; background-color: #51170E; margin-left: 20px; line-height: 23px; border-radius: 10px;}
.subnav a:nth-of-type(2) {margin-right: 5%;}
.subnav a:hover {color: #dfdfdf;}


/*-----------HEADER-----------*/

header {background: url("../images/headerbild.webp") no-repeat; height: 100vh; width: 100%; background-size: cover; background-attachment: fixed; background-position: center; position: relative;}
.header-img {position: absolute; right: 5%; bottom: -12vh;}
.header-img img {width: 30vw; height: auto;}

#stoerer {position: absolute; left: 4%; bottom: 20vh;  padding: 30px 50px;}
#stoerer .btn {font-size: 30px;background-color: #C9714D; border-radius: 25px;padding: 15px 30px;}

/*-----------AUFBAU-----------*/

html {scroll-behavior: smooth;}
#uebermich, #buch {padding: 120px 0;}
.content {display: flex; width: 80%; margin-left: 10%;}
.col {width: 90%;}
.col:nth-of-type(2) {padding-left: 10%;}

.btn {background-color: #000; color: #fff; padding: 5px 30px; transition: 0.5s;}
.btn:hover {background-color: #6d6d6d}
::-moz-selection {background: #fff600; color: #000;}
::selection {background: #fff600; color: #000;}


/*-----------Über Mich-----------*/
#uebermich p {line-height: 30px;color: #51170E;font-size: 20px;}
.uebermich-head {display: flex; align-items: center; justify-content: center; gap: 20px; margin-bottom: 100px;}
.uebermich-head img {width: 60px; height: auto;}
#uebermich h2 {margin: 0; padding: 0; text-align: left;color: #923918;}
#uebermich {position: relative; overflow: hidden;}
.bg-logo {position: absolute;right: -180px;bottom: -100px;width: 500px;}

/*-----------Buch-----------*/
#buch {background-color: #51170E;position: relative; overflow: hidden;}
#buch h2, h3, p{color: #fff;padding-bottom: 60px;}
#buch h3 {text-transform: uppercase; font-size: 30px;}
#buch p {line-height: 25px;line-height: 30px; font-size: 20px;}
.buch-head {display: flex; align-items: center; justify-content: center; gap: 20px; margin-bottom: 100px;}
.buch-head img {width: 60px; height: auto;}
#buch h2 {margin: 0; padding: 0; text-align: left;}
.bg-logo-links{position: absolute; left: -180px;bottom: -100px;width: 500px;}


/*-----------Kontakt-----------*/
#kontakt h3 {font-family: 'Dancing Script', cursive;color: #51170E;font-size: 40px;}
#kontakt h4 {color: #51170E;font-size: 30px;}
#kontakt h2 {color: #923918;}
#kontakt p {color: #51170E;line-height: 35px;font-size: 25px;}
.highlight {font-weight: 800;}
.highlight1 {color: #C9714D;}

.kontakt-head {display: flex; align-items: center; justify-content: center; gap: 20px; margin-bottom: 100px;}
.kontakt-head img {width: 60px; height: auto;}
#kontakt h2 {margin: 0; padding: 0; text-align: left;}
.mockup3 {width: 30vw; height: auto;}


.buch-logos {display: flex; gap: 80px; margin-top: 60px; align-items: center;}
.buch-logos img {width: 200px; height: auto;}



/*-----------PUFFER-----------*/
.puffer1 {background: url("../images/puffer1.webp") no-repeat; height: 300px; width: 100%; background-size: cover; background-attachment: fixed; background-position: center; position: relative;}
.puffer-text {position: absolute;top: 50%;left: 50%; transform: translate(-50%, -50%); color: #fff; font-size: 35px; font-family: 'Dancing Script', cursive; text-align: center; width: 80%; line-height: 1.3; z-index: 2;}

.puffer2 {background: url("../images/puffer2.webp") no-repeat; height: 300px; width: 100%; background-size: cover; background-attachment: fixed; background-position: center; position: relative;}
.puffer2::before {content: ""; position: absolute; inset: 0; background: rgba(0,0,0,0.35); z-index: 1;}

/*-----------FOOTER-----------*/

footer {padding: 120px 0; }
footer p, footer h2, footer h3, footer a {color: #fff;}
footer a {text-decoration: underline;}
.link {font-size: 25px;color: #923918;}
.websitelink {color:#51170E}
/*-----------RESPONSIVE-----------*/

img {max-width: 100%;height: auto;}

@media screen and (max-width: 1900px) {
h1 {font-size: 90px;
line-height: 110px;}
.logo {position: absolute;width:220px}
}

@media screen and (max-width: 1700px) {
h1 {font-size: 80px;
line-height: 100px;}
.logo {position: absolute;width:200px}
}

@media screen and (max-width: 1600px) {
h1 {font-size: 70px;
line-height: 90px;}

}

@media screen and (max-width: 1366px) {
header, .puffer1, .puffer2 {background-attachment: scroll;}
}

/* ===== Tablet ===== */
@media screen and (max-width: 900px) {
    
.content {flex-wrap: wrap;gap: 40px;}
.col {width: 100%;}
header {height: auto;padding: 120px 0 60px;}
 #stoerer {position: relative;bottom: auto; left: auto; padding: 20px; text-align: center; }
.header-img { position: relative; right: auto; bottom: auto;text-align: center; margin-top: 30px;}
.header-img img {width: 60%;}
.col { width: 100%;}
.col:nth-of-type(2) {padding: 0;}
.buch-logos {justify-content: center;gap: 30px;flex-wrap: wrap;}
.buch-logos img {width: 120px;}
.mockup3 { width: 60%;}
h1 {font-size: 60px; line-height: 30px;line-height: 70px;}
h1 b {font-size: 25px;}
.logo {position: absolute;width:150px}
nav {background: none; box-shadow: 0 0 0;}
nav ul{display: none;}
.navi {display: block;}
.col:nth-of-type(2) {padding-left: 0;}
#stoerer .btn {font-size: 20px; padding: 10px 20px;}
}


@media screen and (max-width: 700px) {
main {text-align: center;}
.content {display: block;}
.col {width: 80%; margin-left: 10%;}
.col:nth-of-type(2) {padding: 40px 0 0;}    
}

/* ===== Handy ===== */
@media screen and (max-width: 600px) {

h1 {font-size: 40px;line-height: 50px;}
 h2 {font-size: 35px;}
p {font-size: 16px;line-height: 24px;}
.logo { width: 100px;top: 20px;}
.content {width: 90%; margin-left: 5%;}
.col {width: 100%; margin: 0;}
.col img { margin-bottom: 20px;}
 #buch .content {display: flex;flex-direction: column-reverse;}
footer {text-align: center;}
.mockup3 {width: 80%;}
.puffer-text {font-size: 24px;}
.bg-logo,.bg-logo-links {display: none;}
}


@media screen and (max-width: 500px) {
aside img {width: 40px;}

}